---
agentTools:
  projectIndex: https://docs.addevent.com/llms.txt
---

# List timezones

Returns a list of timezones that are supported by AddEvent. The timezones are returned sorted by their offset from UTC, from negative offsets to positive.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "v2.14.0",
    "title": "Calendar and Event API",
    "contact": {
      "name": "AddEvent Inc",
      "email": "support@addevent.com"
    }
  },
  "servers": [
    {
      "url": "https://api.addevent.com/calevent/v2"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/timezones": {
      "get": {
        "operationId": "list-timezones",
        "summary": "List timezones",
        "tags": [
          "Timezones"
        ],
        "description": "Returns a list of timezones that are supported by AddEvent. The timezones are returned sorted by their offset from UTC, from negative offsets to positive.",
        "security": [
          {}
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/200-timezones"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "timezone": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "The timezone's name. This is the value that should be used in the `timezone` property when creating/updating an event or a calendar."
          },
          "local_time": {
            "type": "string",
            "description": "The local time in the timezone when the response is generated."
          },
          "is_dst": {
            "type": "boolean",
            "description": "Whether or not the timezone is currently observing daylight savings time."
          },
          "utc_offset": {
            "type": "integer",
            "description": "The difference in minutes between UTC (formerly GMT) and the timezone. Shows `-` to indicate a negative difference."
          },
          "utc_offset_hours": {
            "type": "string",
            "description": "The difference in hours between UTC (formerly GMT) and the timezone. Shows `-` or `+` to indicate a positive or negative difference."
          },
          "tzid_abbr": {
            "type": "string",
            "description": "Abbreviation for the timezone. This is typically the three letter acronym that is used when displaying the timezone e.g. `PST`, `CET`. This value should not be used in the timezone property when creating/updating an event or calendar."
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "APIkey",
        "description": "Your API key can be found on your AddEvent account page - https://dashboard.addevent.com/account/settings"
      }
    },
    "responses": {
      "200-timezones": {
        "description": "Ok",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/timezone"
              }
            },
            "examples": {
              "List of timezones": {
                "$ref": "#/components/examples/timezones"
              }
            }
          }
        }
      }
    },
    "examples": {
      "timezones": {
        "value": [
          {
            "name": "Pacific/Midway",
            "local_time": "2023-11-23 04:34:46",
            "is_dst": false,
            "utc_offset": -39600,
            "utc_offset_hours": "-11:00",
            "tzid_abbr": "SST"
          },
          {
            "name": "Europe/Dublin",
            "local_time": "2023-11-23 15:34:46",
            "is_dst": true,
            "utc_offset": 0,
            "utc_offset_hours": "+00:00",
            "tzid_abbr": "GMT"
          }
        ]
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 103,
      "1": 165,
      "2": 2,
      "3": 119,
      "4": 10,
      "5": 212,
      "6": 106,
      "7": 0,
      "8": 55,
      "9": 83,
      "10": 79,
      "11": 76
    }
  }
}
```